VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Static Public Attributes | List of all members
IVst3ToAAXWrapper Class Reference

VST 3 to AAX Wrapper interface: Vst::IVst3ToAAXWrapper. More...

`#include <ivsthostapplication.h>`

Inheritance diagram for IVst3ToAAXWrapper:

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Additional Inherited Members
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Detailed Description

VST 3 to AAX Wrapper interface: Vst::IVst3ToAAXWrapper.

- [host imp]
- [passed as 'context' to IPluginBase::initialize () ]
- [released: 3.6.8]
- [mandatory]

Informs the plug-in that a VST 3 to AAX wrapper is used between the plug-in and the real host. Implemented by the AAX Wrapper.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.